### Method

# WebKitWebExtension DOMElement get_attributes

deprecated: 2.22

#### Declaration [src]

    WebKitDOMNamedNodeMap*
    webkit_dom_element_get_attributes (
      WebKitDOMElement* self
    )

#### Description

No description available.

Deprecated since: 2.22

Use JavaScriptCore API instead.

Gets property | `WebKitWebExtension.DOMElement:attributes`

#### Return value

Type: `WebKitDOMNamedNodeMap`

A `WebKitDOMNamedNodeMap`.

The caller of the method takes ownership of the data, and is responsible for freeing it.